package p04_if;

import java.util.Scanner;

// W tej wersji:
// - sprawdzam warunek negatywny - "czy jest źle"
// - oddzielnie sprawdzam każdy warunek, ale w tej wersji wyjdzie t oznacznie lepiej niż w nr 2
//   dzięki temu, że warunki są negatywne i gdy zobaczę pierwszy problem, to razu wiem, że jest źle
// - wyświetlana jest informacja tylko o pierwszym znalezionym problemie, nawet jeśli jest ich kilka
public class Bagaz4 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.println("Podaj wymiary bagażu.");
		System.out.print("długość: ");
		double a = scanner.nextDouble();
		System.out.print("szerokość: ");
		double b = scanner.nextDouble();
		System.out.print("wysokość: ");
		double c = scanner.nextDouble();
		double objetosc = a*b*c;
		
		if(a > 50) {
			System.out.println("Bagaż odrzucony z powodu długości");
		} else if (b > 50) {
			System.out.println("Bagaż odrzucony z powodu szerokości");
		} else if (c > 50) {
			System.out.println("Bagaż odrzucony z powodu wysokości");
		} else if (objetosc > 50_000) {
			System.out.println("Bagaż odrzucony z powodu zbyt dużej objętości");
		} else {
			System.out.println("Bagaż spełnia normę");
		}
	}

}
